Bug 73869 - Printing to HP 2100M printer failed
Printing to HP 2100M printer failed
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-12 12:11 EDT by Joseph Tate
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 09:06:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test file (the one that fails to print) (49.41 KB, application/postscript)
2002-09-12 12:13 EDT, Joseph Tate
no flags Details
local.adl file as requested (579 bytes, application/octet-stream)
2002-09-12 12:38 EDT, Joseph Tate
no flags Details
/usr/share/printconf/util/jetdirectprint (509 bytes, text/plain)
2002-09-12 12:50 EDT, Tim Waugh
no flags Details

  None (edit)
Description Joseph Tate 2002-09-12 12:11:02 EDT
Description of Problem:
Attached you will find a postscript file generated from the Windows HP2100
series PostScript driver.  It, when sent to an HP 2100M printer via the
postscript driver by lpr, causes the status light on the printer to flash a
couple of times, but then nothing prints.  lpq then shows the document as done.
 The file prints just fine from windows.

Version-Release number of selected component (if applicable):
LPRng-3.8.9-4

How Reproducible:
Every time.

Steps to Reproduce:
1. cat <file> | lpr -P<HP 2100M printer>

Actual Results:
A couple of blinks on the status light, done message in lpq listing, no output
whatsoever from the printer.

Expected Results:
The page to be printed properly.

Additional Information:
Comment 1 Joseph Tate 2002-09-12 12:13:48 EDT
Created attachment 75949 [details]
Test file (the one that fails to print)
Comment 2 Tim Waugh 2002-09-12 12:23:54 EDT
Please attach /etc/alchemist/namespace/printconf/local.adl, which contains 
your printing settings. 
 
Thanks.
Comment 3 Joseph Tate 2002-09-12 12:37:29 EDT
printcap entry for my printer:


print1:\
        :ml=0:\
        :mx=0:\
        :sd=/var/spool/lpd/print1:\
        :af=/var/spool/lpd/print1/print1.acct:\
        :sh:\
        :lp=|/usr/share/printconf/util/jetdirectprint:\
        :lpd_bounce=true:\
        :if=/usr/share/printconf/util/mf_wrapper:

I'll attach the adl file immediately
Comment 4 Joseph Tate 2002-09-12 12:38:25 EDT
Created attachment 75950 [details]
local.adl file as requested
Comment 5 Tim Waugh 2002-09-12 12:49:50 EDT
I'm going to attach a shell script which I'd like you to place at 
/usr/share/printconf/util/jetdirectprint (overwrite that file). 
 
Then make it executable by doing: 
chmod a+x /usr/share/printconf/util/jetdirectprint 
 
Let me know if the problem persists after that, or not.
Comment 6 Tim Waugh 2002-09-12 12:50:20 EDT
Created attachment 75951 [details]
/usr/share/printconf/util/jetdirectprint
Comment 7 Joseph Tate 2002-09-12 13:08:16 EDT
Same effect.  Couple of blinks, then nothing.  I'm right around the corner, 2
Davis Dr. If you want to come see it.  :)
Comment 8 Pedro Ferreira 2002-10-09 16:35:42 EDT
I have the same problem when printing ps files. It's not possible to print ps
documents with a RH 7.3, sometimes it prints a few pages, sometimes nothing.
This bug should be marked high priority...!
Comment 9 Tim Waugh 2002-10-13 11:50:25 EDT
How about if you print it with 'lpr -Pprinter%9100', where 'printer' is the 
hostname or IP address of the JetDirect printer?
Comment 10 Tim Waugh 2004-12-08 09:06:34 EST
No feedback; closing.

Note You need to log in before you can comment on or make changes to this bug.